Subject: Re: [PATCH/RFC] sysfs cache code rewrite

From: Benjamin Herrenschmidt <[email-masked]>
Date: Wed, 07 Jan 2009 17:51:42 +1100

On Tue, 2009-01-06 at 15:25 -0600, Nathan Lynch wrote:
> Please unsubscribe me from... wait, that's not what I meant to say.
> 
> Any thoughts or questions on this one?  I posted this right before the
> holidays so my feelings aren't hurt by the lack of response (yet!)
> 
> To summarize why I think this should go in 2.6.29:
> - Userspace will now be able to determine the true cache topology
>   (the current code doesn't tell you which caches are shared between
>   CPUs).
> - More complete information will be presented on systems that use
>   [di]-cache-block-size properties instead of [di]-cache-line-size. 
> - While overall LOC has increased, the documentation is better, and the
>   functions are much shorter and less complex.

I'm pretty happy about it. However, it fails build when merged on top of
linus current upstream due to some cpumask changes.

I don't know quite the detail of the new cpumask stuff ... It could be
as simple as passing a pointer instead of the value in the
cpumask_scnprintf call though...

Can you check and produce a new patch pls ?

Cheers,
Ben.